Appearance
Get Destination Rail IDs
This endpoint retrieves all available banks with their respective rail id.
php
1
js
1
bash
curl --location 'https://brijxbankuat.brij.money/api/v2/brijxthirdparty/remittance-destination-rails' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer your-bearer-token-goes-here' \1
2
3
2
3
json
{
"status": 200,
"data": [
{
"name": "Nigeria",
"currency": "NGN",
"code": "NG",
"processors": {
"Bank": [
{
"rail_id": "78b9ebe2-4db8-4505-bb53-20b8c85068a7",
"name": "Abbey Mortgage Bank"
},
{
"rail_id": "766a4a84-66da-4475-b8cf-6023d3c749ed",
"name": "Above Only MFB"
},
{
"rail_id": "da98e08f-38e2-494e-b213-ef92f2bfbfd0",
"name": "Abulesoro MFB"
},
],
"Momo": [
{
"rail_id": "e3f16388-7950-421b-ab13-5d44f4a877c1",
"name": "9mobile 9Payment Service Bank"
},
{
"rail_id": "0df1d6c1-bfef-4d4f-a197-72c9f33f30ff",
"name": "Airtel Smartcash PSB"
},
{
"rail_id": "6e5be604-4bae-4a20-a53b-41b5e4a0785c",
"name": "HopePSB"
},
{
"rail_id": "302473cc-4e0a-453f-83bd-aef912db84e3",
"name": "MTN Momo PSB"
},
{
"rail_id": "f1b5dd75-a50b-44f6-a8a6-d10a17759d6a",
"name": "MONEYMASTER PSB"
}
]
}
},
{
"name": "Ghana",
"currency": "GHS",
"code": "GH",
"processors": {
"Bank": [],
"Momo": [
{
"rail_id": "ee53dbfc-c171-4fd3-b6f4-1d83ced910ac",
"name": "Airtel"
}
]
}
}
],
"message": "Remittance destination countries retrieved successfully."
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
Response
